Множественные уязвимости в FFmpeg

Дата публикации:
15.02.2013
Дата изменения:
15.02.2013
Всего просмотров:
1126
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
8
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:9.3/Temporal:6.9
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:9.3/Temporal:6.9
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:9.3/Temporal:6.9
(AV:N/AC:M/Au:N/C:C/I:C/A:C/E:U/RL:O/RC:C) = Base:9.3/Temporal:6.9
(AV:N/AC:M/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.1/Temporal:5.3
(AV:N/AC:M/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.1/Temporal:5.3
(AV:N/AC:M/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.1/Temporal:5.3
(AV:N/AC:M/Au:N/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:7.1/Temporal:5.3
CVE ID:
CVE-2013-0862
CVE-2013-0863
CVE-2013-0864
CVE-2013-0865
CVE-2013-0866
CVE-2013-0867
CVE-2013-0868
CVE-2013-0869
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
FFmpeg 1.x
Уязвимые версии: FFmpeg 1.1.2

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании на целевой системе.

1. Уязвимость существует из-за ошибки целочисленного переполнения в функции process_frame_obj() при обработке определенных данных.

2. Уязвимость существует из-за ошибки в old_codec47(). Удаленный пользователь может вызвать переполнение буфера и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки в функции gif_copy_img_rect(). Удаленный пользователь может вызвать аварийное прекращение работы.

4. Уязвимость существует из-за ошибки проверки границ данных в функции vqa_decode_chunk(). Удаленный пользователь может вызвать переполнение буфера и выполнить произвольный код на целевой системе.

5. Уязвимость существует из-за ошибки aac_decode_init(). Удаленный пользователь может вызвать аварийное прекращение работы.

6. Уязвимость существует из-за ошибки в функции decode_slice_header().Удаленный пользователь может вызвать аварийное прекращение работы.

7. Уязвимость существует из-за ошибки в функции generate_joint_tables(). Удаленный пользователь может вызвать переполнение буфера на целевой системе.

8. Уязвимость существует из-за ошибки в функции field_end(). Удаленный пользователь может вызвать аварийное прекращение работы.

URL производителя: http://ffmpeg.org/

Решение: Для устранения уязвимости установите продукт версии 1.1.2 с сайта производителя.

Ссылки: http://ffmpeg.org/security.html

или введите имя

CAPTCHA